package com.gamedog.vididin.beans


import com.ama.core.model.BaseFragmentStateDiffItem
import kotlinx.serialization.Serializable


@Serializable
data class ResYoutubeChannel(
    val id: String,
    val name: String,
)

/*



@Serializable
data class ResYoutubePlayList (
    val kind: String,
    val etag: String, // TODO - this is Etag type
    val nextPageToken: String,
    val prevPageToken: String,
    val pageInfo: PageInfo,
    val items: List<YoutubeVideo>,
)

@Serializable
data class PageInfo(
    val totalResults: Int,
    val resultsPerPage: Int,
)
@Serializable
data class YoutubeVideo(
    val kind: String,
    val etag: String,
    val id: String,
    val snippet: Snippet,
    val status: Status,

    val contentDetails: ContentDetails,
    val player: Player,
    val localizations: Localizations,
) : BaseFragmentStateDiffItem {
    override fun getPrimaryKey() = id
    override fun getItemId() = id.hashCode().toLong()
}



@Serializable
data class ContentDetails(
    val itemCount: Int,
)
@Serializable
data class Player(
    val embedHtml: String,
)

@Serializable
data class Localizations(
    val title: String,
    val description: String,
)



@Serializable
data class Snippet(
    val publishedAt: String,
    val channelId: String,
    val title: String,
    val description: String,
    //val thumbnails: Thumbnail,
    val channelTitle: String,
    val defaultLanguage: String,
    val localized: Localized,
)

@Serializable
data class Localized(
    val title: String,
    val description: String,
)

@Serializable
data class Thumbnail(
    val standard: String,
)

@Serializable
data class Status(
    val privacyStatus: String,
    val podcastStatus: Int,
)


*/
